## boinc 7.2.7+dfsg

=== debian/changelog ===
boinc (7.2.7+dfsg-1) unstable; urgency=low

  * New upstream release, patch refresh.
  * Linking libboinc_crypt.so against $(SSL_LIBS).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 25 Jul 2013 10:56:43 +0200

boinc (7.2.4+dfsg-1exp1) experimental; urgency=low

  [ Steffen Moeller ]
  * New upstream version.
    - reduced clang warnings patches

  [ Guo Yixuan ]
  * Removed a workaround (for seti segfault).

 -- Guo Yixuan <culu.gyx@gmail.com>  Wed, 24 Jul 2013 14:21:51 +0800

boinc (7.1.21+dfsg-1exp2) experimental; urgency=low

  * php5-gd only recommended for boinc-server-maker

 -- Steffen Moeller <moeller@debian.org>  Thu, 27 Jun 2013 22:05:48 +0200

boinc (7.1.21+dfsg-1exp1) UNRELEASED; urgency=low

  * Added boinc-server-maker package.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 27 Jun 2013 14:52:53 +0200

boinc (7.1.21+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added adding_lpthread_and_ljpeg.patch to fix a FTBFS
    with ubuntu saucy.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 27 Jun 2013 14:49:00 +0200

boinc (7.1.20+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Italian translation fixed.
    - Really fixed (lp: #179849), for a configure error
      dpms code wasn't built.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 25 Jun 2013 09:25:31 +0200

boinc (7.1.18+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 19 Jun 2013 19:09:48 +0200

boinc (7.1.10+dfsg-2) UNRELEASED; urgency=low

  * Experimenting with memory-only shared-memory
    This is highly incompatible with regular clients.
    It is expected to work only with Debian's clients after a rebuild.

 -- Steffen Moeller <moeller@debian.org>  Wed, 19 Jun 2013 17:50:55 +0200

boinc (7.1.10+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Readding sleep (10 seconds) to workaround GPU bug (lp: #1177433)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 07 Jun 2013 08:34:03 +0200

boinc (7.1.7+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
    Many patches have been accepted upstream.
  * Bumped debian/compat to 9.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 05 Jun 2013 11:47:49 +0200

boinc (7.1.1+dfsg-2) UNRELEASED; urgency=low

  * compiled with clang
    - removed patches no longer required

 -- Steffen Moeller <moeller@debian.org>  Thu, 16 May 2013 22:09:08 +0200

boinc (7.1.1+dfsg-1) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Introduced series of fclose() to fight potential file pointer leak
  * Addressed a few issues with .po files (de) as indicated on
    http://i18n.debian.org/l10n-pkg-status/b/boinc.html
  [ Gianfranco Costamagna ]
  * New upstream release.
  * Tweaked debian/watch.
  * Removed some patches accepted upstream.
  * Simplified debian/rules.
  * Patch refresh.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 16 May 2013 22:09:08 +0200

=== debian/control ===
Source: boinc
Section: net
Priority: optional
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, 
 Guo Yixuan <culu.gyx@gmail.com>,
 Rene Mayorga <rmayorga@debian.org>,
 Daniel Hahler <ubuntu@thequod.de>,
 Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), po-debconf, pkg-config,
 dpkg-dev (>= 1.16.1.1),
 libtool, autoconf, autotools-dev, automake1.9, gettext,
 docbook2x, docbook-xml, libxml2-utils,
 zlib1g-dev, libssl-dev, libcurl4-openssl-dev,
 libsm-dev, libice-dev, libxmu-dev, libxi-dev, libx11-dev, libnotify-dev (>= 0.7.0),
 freeglut3-dev, libwxgtk2.8-dev, libgtk2.0-dev,
 libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev,
 libxcb-util0-dev, libxcb-dpms0-dev,
 libxss-dev, libxext-dev
Homepage: http://boinc.berkeley.edu/
Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc.git
Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc.git

Package: boinc
Architecture: all
Depends: ${misc:Depends},
 boinc-client (>= ${binary:Version}), boinc-manager (>= ${binary:Version})
Description: metapackage for the BOINC client and the manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package depends both on the BOINC core client program that is
 required to participate in any project that uses BOINC, and the
 BOINC Manager, a graphical monitor and control utility for the
 BOINC core client.

Package: libboinc7
Provides: libboinc
Breaks: libboinc (<= 7.0.34+dfsg-1)
Replaces: libboinc (<= 7.0.34+dfsg-1)
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libraries of BOINC the client depends on
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 The environment offers a series of libraries that both the user-run
 client and the client-invoked scientific applications depend on. With
 the number of cores per machine growing, and with scientific apps
 commonly started for every core, it is essential to have memory
 shared as much as possible between binaries of all projects.

# Not compatible with Wheezy with direct notion of libcuda1:i386 [amd64]
Package: boinc-nvidia-cuda
Architecture: amd64 i386
Section: contrib/net
Priority: extra
Depends: ${misc:Depends}, boinc, libcuda1|nvidia-current,
Recommends: libcuda1-ia32 [amd64]|nvidia-current [amd64], ia32-libs [amd64]|nvidia-current [amd64]
Description: metapackage for CUDA-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the exact configuration of BOINC for CUDA-savvy graphics
 cards. This package adds a series of dependencies from the non-free
 section to the regular boinc package. This also meant this binary
 package to be redistributed in the contrib section of Debian.

Package: boinc-amd-opencl
Architecture: amd64 i386
Section: contrib/net
Priority: extra
Depends: ${misc:Depends}, boinc, fglrx-driver, amd-libopencl1|fglrx|fglrx-updates
Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the configuration of BOINC for the OpenCL-savvy AMD/ATI
 graphics cards.  This package adds a series of dependencies from the
 non-free section to the regular boinc package. This also meant this
 binary package to be redistributed in the contrib section of Debian.
 .
 This package is not perfect, yet. A major problem for the moment
 is the availability of the OpenCL driver for 32bit binaries for
 amd64. If this is planned, install the amd-app package provided
 through the AMD developer forum.

Package: boinc-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libboinc7 (= ${binary:Version}),
 python,
 adduser,
 ca-certificates
Recommends: ia32-libs [amd64]
Suggests: boinc-manager, x11-xserver-utils, libcuda1, libcuda1-ia32 [amd64]
Description: core client for the BOINC distributed computing infrastructure
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package contains the BOINC core client program that is required
 to participate in any project that uses BOINC. A central server
 distributes work units and collects results via this client. When
 attaching a local machine to a project, this client will also
 dynamically download the scientific data and executables to be then
 wrapped by the BOINC core client.
#
#Package: boinc-screensaver
#Section: x11
#Architecture: any
#Depends:  ${shlibs:Depends}, ${misc:Depends}, boinc-client
#Suggests: boinc-manager
#Description: screen saver auto-controlling volunteer computing
# The Berkeley Open Infrastructure for Network Computing (BOINC) is a
# software platform for distributed computing: several initiatives of
# various scientific disciplines all compete for the idle time of
# desktop computers. The developers' web site at the University of
# Berkeley serves as a common portal to the otherwise independently run
# projects.
# .
# The BOINC client is configurable by the command line or the BOINC
# manager's GUI to compute with any range between 0% and 100% of
# available resources, and to change that ratio to a higher after
# some user determined duration of inactivity. There is now quite
# a number of individuals who prefer to have everything presented
# with their accustomed principle for setting and choosing a screen
# saver. Upon inactivity, the BOINC client is started, and stopped
# again when the user is back. To save the screen, it then shows
# the graphical progress indication as optionally shown also by
# the manager.
# .
# This package is excellent to further promote BOINC, recalling the
# effect SETI@Home once had in the Cambridge, UK, CB2 Cybercafe.
# Just, when using it together with the regular BOINC client setup,
# it is suggested not to have all CPUs used to avoid multiple
# processes running on the same core.

Package: boinc-manager
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: boinc-client, ia32-libs-gtk [amd64]
Suggests: libgl1-mesa-glx, libxt6
Description: GUI to control and monitor the BOINC core client
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains the BOINC Manager, a graphical monitor and
 control utility for the BOINC core client. It gives a detailed
 overview of the state of the client it is monitoring, as there are
  * attached projects
  * running tasks
  * file transfers between the client and project servers
  * statistics about granted credits and disk usage for every project
  * constraints on CPU usage
 The BOINC Manager has two modes of operation, the "Simple View" in which
 it only displays the most important information and the "Advanced View"
 in which all information and all control elements are available.
 .
 For active participation in any BOINC project the recommended
 boinc-client package, not the boinc-manager, is required for every
 machine contributing.

Package: boinc-dev
Section: oldlibs
Architecture: all
Priority: extra
Depends: ${misc:Depends}, libboinc-app-dev (= ${source:Version})
Description: development files to build applications for BOINC projects
 Dummy transitional package helping the transition of a split of
 architecture-independent development files and the architecture-dependent
 dynamic libraries.  Static libraries are no longer redistributed.

Package: libboinc-app-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
 libboinc7 (>= ${source:Version}),
 libboinc7 (<< ${source:Version}+1~),
 libboinc-app7 (>= ${source:Version}),
 libboinc-app7 (<< ${source:Version}+1~),
 libc6-dev | libc-dev,
 libstdc++6-4.7-dev | libstdc++-dev, libssl-dev, libmysqlclient-dev
Breaks: boinc-dev (<= 7.0.28+dfsg-2)
Replaces: boinc-dev (<= 7.0.28+dfsg-2)
Description: development files to build applications for BOINC projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains header files that are needed to develop and
 compile applications which utilizes the BOINC infrastructure.

Package: libboinc-app7
Provides: libboinc-app
Breaks: libboinc-app (<= 7.0.34+dfsg-1),
 boinc-dev (<= 7.0.28+dfsg-2)
Replaces: libboinc-app (<= 7.0.34+dfsg-1),
 boinc-dev (<= 7.0.28+dfsg-2)
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libraries for BOINC's scientific applications
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains dynamic libraries that are needed for applications
 which utilizes the BOINC infrastructure and the boinc-client itself.

Package: boinc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}) | libboinc7 (= ${binary:Version}) | libboinc-app7 (= ${binary:Version}),
 ${misc:Depends}
Suggests: libcurl3-dbg, libssl1.0.0-dbg, libwxgtk2.8-dbg
Description: debugging symbols for BOINC binaries
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains unstripped versions of all binaries included in
 the BOINC packages. It is provided primarily to provide a backtrace
 with names in a debugger, this makes it somewhat easier to interpret
 core dumps.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment the following lines to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp


# Set default flags with dpkg-buildflags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

#export CXX=clang++

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  TYPE_FLAGS = --build $(DEB_HOST_GNU_TYPE)
else
  TYPE_FLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# On some architectures it is required to change the BOINC platform of the
# core client (with the --with-boinc-platform configure option) to match the
# official BOINC platform, otherwise it would not download any applications,
# because projects mostly provide applications for official BOINC platforms
# only. See http://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
# of official BOINC platforms.
#
# The table of architectures known to dpkg-architecture are listed on
#  /usr/share/dpkg/archtable

# Change BOINC platform alpha-unknown-linux-gnu to alpha-hp-linux-gnu and
# declare alpha-unknown-linux-gnu as alternate platform, because some projects
# offer applications for it.
ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=alpha-hp-linux-gnu \
    --with-boinc-alt-platform=alpha-unknown-linux-gnu
endif

# Change BOINC platform i486-pc-linux-gnu to i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-linux-gnu
endif

# Change BOINC platform x86_64-linux-gnu to x86_64-pc-linux-gnu.
# Keeping the previous name temporarily.
# The 32bit variants shall allow the execution of 32 bit 
# executable in case the scientific application is no available
# for the complete bit size.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-linux-gnu
  # wrong previous name (since regular Debian name)
  TYPE_FLAGS += --with-boinc-alt-platform=x86_64-linux-gnu
  # if we did the following, the the ia32 libs would
  # need to become a dependency - which is not wanted by too many
  #TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-linux-gnu
endif

# Change BOINC platform i486-pc-kfreebsd-gnu to i686-pc-kfreebsd-gnu to be
# consistent with the official BOINC platform i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-kfreebsd-gnu
endif

# Declare i686-pc-kfreebsd-gnu as alternate platform for
# x86_64-pc-kfreebsd-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-kfreebsd-gnu
  TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-kfreebsd-gnu
endif

# Change BOINC platform ia64-unknown-linux-gnu to ia64-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), ia64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ia64-linux-gnu
endif

# Change BOINC platform powerpc-unknown-linux-gnu to powerpc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=powerpc-linux-gnu
endif

# Change BOINC platform powerpc64-unknown-linux-gnu to ppc64-linux-gnu and
# declare powerpc-linux-gnu as alternate platform.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ppc64-linux-gnu \
    --with-boinc-alt-platform=powerpc-linux-gnu
endif

# Change BOINC platform sparc-unknown-linux-gnu to sparc-sun-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), sparc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=sparc-sun-linux-gnu
endif

# Not touching BOINC platform for hurd for the very moment.
# Manually specify the MAXPATHLEN for GNU where this limit
# is not existing.
ifeq ($(DEB_HOST_GNU_TYPE), i486-gnu)
  # setting it to the regular limit for the other flavours of Debian
  CFLAGS += -DMAXPATHLEN=4096
  #TYPE_FLAGS += --with-boinc-platform=i686-pc-hurd-gnu
endif

ifneq (clang++,$(CXX))

GCCVERSION=$(shell gcc --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+\.[0-9]+$$' | cut -f1,2 -d.)
# gcc 4.6 on precise has issues while gcc 4.7 on sid is just fine
ifneq (4.6,$(GCCVERSION))
ifneq (4.5,$(GCCVERSION))
ifneq (4.4,$(GCCVERSION))
 CFLAGS += -flto
 LDFLAGS += -flto
endif
endif
endif

endif

CFLAGS += -Wall
CXXFLAGS += -Wall
#LDFLAGS += -Wl,--as-needed
# hurd needs the following
LDFLAGS += -Wl,--no-add-needed


ifneq (,$(findstring clang,$(DEB_BUILD_OPTIONS)))
  export CXX=clang
endif

CFLAGS += $(DEB_OPT_FLAGS)
CXXFLAGS += $(DEB_OPT_FLAGS)

CFLAGS_boinc-client := $(CFLAGS)
CXXFLAGS_boinc-client := $(CXXFLAGS)

ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control.in)
ENABLE_SERVER := --disable-server
ifneq (,$(ENABLE_SERVER_TEST))
ENABLE_SERVER := --enable-server
TMP=$(shell sed -e 's/^%//' debian/control.in > debian/control)
else
TMP=$(shell egrep -v '^%' debian/control.in > debian/control)
endif

ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control.in)
ENABLE_CLIENT := --disable-client --disable-manager
ifneq (,$(ENABLE_CLIENT_TEST))
ENABLE_CLIENT := --enable-client --enable-manager --enable-dynamic-client-linkage
TMP=$(shell sed -i 's/^@//' debian/control)
else
TMP=$(shell sed -i '/^@/d' debian/control)
endif

# --disable-static
# For debugging, these options are useful:
#   --enable-debug
#   --enable-wx-debug (need to install libwxbase2.8-dbg and libwxgtk2.8-dbg)
CFGFLAGS_boinc-client = \
  $(TYPE_FLAGS) \
  --prefix=/usr \
  $(ENABLE_CLIENT) \
  $(ENABLE_SERVER) \
  --disable-fcgi \
  --enable-libraries \
  --enable-unicode \
  --enable-shared \
  --with-ssl \
  --with-x \
  CFLAGS="$(CFLAGS_boinc-client)" \
  CXXFLAGS="$(CXXFLAGS_boinc-client)" \
  CPPFLAGS="$(CPPFLAGS)" \
  LDFLAGS="$(LDFLAGS)"


# Default rule

%:
	if [ ! -f debian/control -o debian/control.in -nt debian/control ]; then \
		echo "Generating debian/control file from debian/control.in" ; \
		( \
		if egrep -q '^Package:.*boinc-server-maker' debian/control.in; then \
			sed -e 's/^%//' debian/control.in ; \
		else \
			egrep -v '^%' debian/control.in ; \
		fi \
		) | ( \
		if egrep -q '^Package:.*boinc$$' debian/control.in; then \
			sed -e 's/^@//' ; \
		else \
			sed -e '/^@/d' ; \
		fi \
		) > debian/control; \
	fi
	dh $@ --parallel --with python2

override_dh_clean:
	dh_clean
	rm -rf config.log
	rm -rf clientscr/.libs override_dh_auto_install
	rm -rf debian/boinc-app-examples debian/boinc-server-maker debian/boinc-app-examples.substvars debian/boinc-server-maker.substvars
	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp
	rm -fr debian/boinc-amd-opencl debian/boinc-screensaver # for cases when this is not in debian/control
	rm -f debian/boinc-screensaver.substvars debian/boinc-amd-opencl.substvars # dito
	rm -f debian/boinc-cgi-stripchart.substvars
	# sudden differences yet remaining to be resolved
	rm -f api/libboinc_graphics2.la
	rm -f test-driver
	rm -f sched/adjust_user_priority sched/size_regulator

# Commands not to execute - empty overrides
override_dh_auto_test:

#test-stamp:
#	dh_testdir
#	xmllint --nonet --noout \
#	  debian/conffiles/cc_config.xml \
#	  debian/conffiles/global_prefs_override.xml
#	touch $@

override_dh_auto_configure:
	./_autosetup
	#if [ ! -r ltmain.sh ]; then libtoolize; fi
	#aclocal-1.9 -I m4 && autoheader && automake-1.9 --add-missing && autoconf
	@echo
	@echo "****             *****"
	@echo "**** Configuring *****"
	@echo "****             *****"
	@echo
	cp -f /usr/share/misc/config.guess config.guess
	cp -f /usr/share/misc/config.sub config.sub
	./configure $(CFGFLAGS_boinc-client)

update-boinc-applinks.1: debian/manpages/update-boinc-applinks.xml
	docbook2x-man debian/manpages/update-boinc-applinks.xml

# noopt, not necessary
# CFLAGS_noopt = $(subst -O2,-O0,$(CFLAGS))

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://boinc.berkeley.edu/git/boinc-v2.git/refs/tags/client_release/(\d).(\d)/(\d.*)

## boinc 7.2.42%2Bdfsg

=== samples/vboxwrapper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib

CXXFLAGS = -g \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = vboxwrapper

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean: distclean

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

floppyio.o: floppyio.cpp
	g++ $(CXXFLAGS) -c floppyio.cpp

vbox.o: vbox.cpp
	g++ $(CXXFLAGS) -c vbox.cpp

vboxwrapper: vboxwrapper.o vbox.o floppyio.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
	g++ $(CXXFLAGS) -o vboxwrapper vboxwrapper.o vbox.o floppyio.o libstdc++.a -pthread -lboinc_api -lboinc

## boinc 7.2.42+dfsg

=== samples/multi_thread/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib

CXXFLAGS = -g \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = multi_thread

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean:
	/bin/rm -f $(PROGS)

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

multi_thread: multi_thread.o libstdc++.a $(BOINC_API_DIR)/libboinc_api.a $(BOINC_LIB_DIR)/libboinc.a
	$(CXX) $(CXXFLAGS) -o multi_thread multi_thread.o libstdc++.a -pthread -lboinc_api -lboinc

=== samples/wrapper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib
BOINC_ZIP_DIR = $(BOINC_DIR)/zip

CXXFLAGS += -g -O0 \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -I$(BOINC_ZIP_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L$(BOINC_ZIP_DIR) \
    -L.

PROGS = wrapper

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean: distclean

distclean:
	rm -f $(PROGS) *.o libstdc++.a

REGEXP_OBJS = \
	regexp.o \
	regsub.o \
	regerror.o \
	regexp_memory.o \
	regexp_report.o

wrapper: wrapper.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a $(REGEXP_OBJS)
	g++ $(CXXFLAGS) $(CPPFLAGS) -o wrapper wrapper.o $(REGEXP_OBJS) libstdc++.a -pthread -lboinc_api -lboinc -lboinc_zip

=== debian/changelog ===
boinc (7.2.42+dfsg-1) unstable; urgency=medium

  * New upstream hotfix release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 01 Mar 2014 11:34:55 +0100

boinc (7.2.39+dfsg-2) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Probably fixed kfreebsd-* build failure with upstream patch
    0001-Client-Unix-attempt-to-fix-freebsd-build-error

  [ Guo Yixuan (郭溢譞) ]
  * Updated my uid in debian/control.
  * Corrected dependencies for boinc-dev split (Closes: #739663):
    - libboinc7: added breaks + replaces boinc-dev << 7.0.28+dfsg-3.
  * Brought boinc-amd-opencl back to sid.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Tue, 25 Feb 2014 01:21:44 -0500

boinc (7.2.39+dfsg-1) unstable; urgency=low

  * New upstream stable release, patch refresh
  * moved boinc-amd-opencl to experimental, to avoid "new" upload.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 18 Feb 2014 10:05:05 +0100

boinc (7.2.33+dfsg-2) UNRELEASED; urgency=low

  [Gianfranco Costamagna]
  * debian/rules
    - server always built
  * debian/control 
    - Moved from libcuda1-ia32 to libcuda1-i386 (Closes: #730841)
    - Removed ia32-libs references (Closes: #736814)
    - Removed libcuda-5.0-1, provided by libcuda1
    - Re-enabled boinc-amd-opencl for unstable
    - Dropped nvidia-current in favour of nvidia-304 | nvidia-310 | nvidia-319
      (LP: #1268409)
    - Added Jussi Lahtinen's patch for fixing LP: #1274456

  [Steffen Moeller]
  * Removed Daniel Hahler and Rene Mayorga from uploaders list
  * More rigorous clean: target (.libs, config.status, libtool)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 15 Feb 2014 14:33:45 +0100

boinc (7.2.33+dfsg-1) unstable; urgency=low

  * New upstream public release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 25 Nov 2013 18:02:52 +0100

boinc (7.2.28+dfsg-1exp2) UNRELEASED; urgency=low

  * Enabling boinc-amd-opencl for experimental builds

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 21 Nov 2013 11:35:52 +0100

boinc (7.2.28+dfsg-1exp1) experimental; urgency=low

  * Same as -1, with server packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 08 Nov 2013 21:21:30 +0100

boinc (7.2.28+dfsg-1) unstable; urgency=low

  * New upstream public release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 08 Nov 2013 20:48:06 +0100

boinc (7.2.27+dfsg-1exp1) experimental; urgency=low

  * New upstream version, with server packages.
  * Bumped policy to 3.9.5 - no changes required

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Nov 2013 21:03:04 +0100

boinc (7.2.22+dfsg-1exp1) experimental; urgency=low

  * Same as -1, with server packages.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sat, 19 Oct 2013 00:24:11 -0400

boinc (7.2.22+dfsg-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release

  [ Guo Yixuan ]
  * Removed boinc-amd-opencl, since fglrx-driver was removed from testing.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sat, 19 Oct 2013 00:05:53 -0400

boinc (7.2.17+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Guo Yixuan <culu.gyx@gmail.com>  Mon, 23 Sep 2013 13:29:53 -0400

boinc (7.2.14+dfsg-1exp2) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Adapting for upstream's additional directories in html/
  * boinc-server-maker
    - works with Apache 2.4's extra security
    - added recommends for coreutils because of 'arch' utility

  [ Guo Yixuan ]
  * Disabled silent rules for build log check.
    (debian/patches/disable_silent_rules.patch)

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Aug 2013 20:08:38 +0200

boinc (7.2.14+dfsg-1exp1) experimental; urgency=low

  * Building boinc-server-maker package

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 31 Aug 2013 01:05:41 +0200

boinc (7.2.14+dfsg-1) unstable; urgency=low

  * New upstream release
  * Now the server package is built or not depending on
    the debian target series:
    - target=unstable, server NOT built
    - target=experimental, server built
  * Fixed clean in debian/rules file

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 31 Aug 2013 00:57:40 +0200

boinc (7.2.11+dfsg-1exp4) UNRELEASED; urgency=low

  [ Gianfranco Costamagna ]
  * Addressed executable-not-elf-or-script lintian warning
    - usr/lib/boinc-server-maker/tools/project.xml
    - usr/share/doc/boinc-server-maker/examples/wrapper/build_android.sh
  * Addressed other file permissions problems
  * Fixed italian localization problem

  [ Guo Yixuan ]
  * Added ${python:Depends} and ${perl:Depends} to debian/control.in

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 24 Aug 2013 01:20:07 +0200

boinc (7.2.11+dfsg-1exp3) experimental; urgency=low

  * Tweaked again hurd patches, now the missing
    MAXPATHLEN should have been addressed

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 22 Aug 2013 23:14:34 +0200

boinc (7.2.11+dfsg-1exp2) experimental; urgency=low

  * Trying to fix hurd ftbfs

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 22 Aug 2013 14:19:03 +0200

boinc (7.2.11+dfsg-1exp1) experimental; urgency=low

  * Added boinc-server-maker package

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 21 Aug 2013 16:51:49 +0200

boinc (7.2.11+dfsg-1) unstable; urgency=low

  * New upstream release
    - Localizations updated
  * Fixed some lintian warnings

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 21 Aug 2013 16:36:51 +0200

boinc (7.2.10+dfsg-1exp1) experimental; urgency=low

  * New upstream release, enabled server building.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 12 Aug 2013 00:43:09 +0200

boinc (7.2.10+dfsg-1) unstable; urgency=low

  * New upstream release, patch refresh.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 12 Aug 2013 00:39:28 +0200

boinc (7.2.7+dfsg-2) UNRELEASED; urgency=low



=== debian/rules ===
--- 
+++ 
@@ -132,29 +132,42 @@
   export CXX=clang
 endif
 
+ifeq (,$(DEB_OPT_FLAGS))
+   DEB_OPT_FLAGS = -O3 -funroll-loops -fforce-addr -ffast-math
+endif
+
 CFLAGS += $(DEB_OPT_FLAGS)
 CXXFLAGS += $(DEB_OPT_FLAGS)
 
 CFLAGS_boinc-client := $(CFLAGS)
 CXXFLAGS_boinc-client := $(CXXFLAGS)
 
-ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control.in)
-ENABLE_SERVER := --disable-server
-ifneq (,$(ENABLE_SERVER_TEST))
+#copy the original control.in file
+$(shell cp debian/control.in debian/control)
+$(shell sed '/^#/d' -i debian/control)
+
+# check if we need to enable server packages, based on "exp" string in changelog
+ENABLE_EXPERIMENTAL_TEST := $(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'experimental|UNRELEASED')
+
+ifeq (,$(ENABLE_EXPERIMENTAL_TEST))
+$(shell sed 's/^%//' -i debian/control)
+else
+$(shell sed '/^%/d' -i debian/control)
+endif
+
+ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control debian/control.in | grep -v boinc-server-maker)
+ifeq (,$(ENABLE_EXPERIMENTAL_TEST))
 ENABLE_SERVER := --enable-server
-TMP=$(shell sed -e 's/^%//' debian/control.in > debian/control)
-else
-TMP=$(shell egrep -v '^%' debian/control.in > debian/control)
-endif
-
-ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control.in)
-ENABLE_CLIENT := --disable-client --disable-manager
-ifneq (,$(ENABLE_CLIENT_TEST))
+endif
+
+#ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control debian/control.in)
+#ifneq (,$(ENABLE_CLIENT_TEST))
 ENABLE_CLIENT := --enable-client --enable-manager --enable-dynamic-client-linkage
-TMP=$(shell sed -i 's/^@//' debian/control)
-else
-TMP=$(shell sed -i '/^@/d' debian/control)
-endif
+$(shell sed 's/^@//' -i debian/control)
+#else
+#ENABLE_CLIENT := --disable-client --disable-manager
+#$(shell sed '/^@/d' -i debian/control)
+#endif
 
 # --disable-static
 # For debugging, these options are useful:
@@ -180,7 +193,8 @@
 # Default rule
 
 %:
-	if [ ! -f debian/control -o debian/control.in -nt debian/control ]; then \
+	dh $@ --parallel --with python2
+#	if [ ! -f debian/control -o debian/control.in -nt debian/control ]; then \
 		echo "Generating debian/control file from debian/control.in" ; \
 		( \
 		if egrep -q '^Package:.*boinc-server-maker' debian/control.in; then \
@@ -196,13 +210,16 @@
 		fi \
 		) > debian/control; \
 	fi
-	dh $@ --parallel --with python2
 
 override_dh_clean:
 	dh_clean
 	rm -rf config.log
 	rm -rf clientscr/.libs override_dh_auto_install
-	rm -rf debian/boinc-app-examples debian/boinc-server-maker debian/boinc-app-examples.substvars debian/boinc-server-maker.substvars
+	rm -rf debian/boinc-app-examples   debian/boinc-app-examples.substvars
+	rm -rf debian/boinc-server-maker   debian/boinc-server-maker.substvars
+	rm -rf debian/boinc-server-dbg     debian/boinc-server-dbg.substvars
+	rm -rf debian/boinc-cgi-stripchart debian/boinc-cgi-stripchart.substvars
+	rm -rf debian/*.debhelper
 	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp
 	rm -fr debian/boinc-amd-opencl debian/boinc-screensaver # for cases when this is not in debian/control
 	rm -f debian/boinc-screensaver.substvars debian/boinc-amd-opencl.substvars # dito
@@ -211,32 +228,11 @@
 	rm -f api/libboinc_graphics2.la
 	rm -f test-driver
 	rm -f sched/adjust_user_priority sched/size_regulator
+	rm -f config.status libtool version.h stamp-h1
+	find . -name ".libs" | xargs -r rm -r
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:
 
 #test-stamp:
 #	dh_testdir
-#	xmllint --nonet --noout \
-#	  debian/conffiles/cc_config.xml \
-#	  debian/conffiles/global_prefs_override.xml
-#	touch $@
-
-override_dh_auto_configure:
-	./_autosetup
-	#if [ ! -r ltmain.sh ]; then libtoolize; fi
-	#aclocal-1.9 -I m4 && autoheader && automake-1.9 --add-missing && autoconf
-	@echo
-	@echo "****             *****"
-	@echo "**** Configuring *****"
-	@echo "****             *****"
-	@echo
-	cp -f /usr/share/misc/config.guess config.guess
-	cp -f /usr/share/misc/config.sub config.sub
-	./configure $(CFGFLAGS_boinc-client)
-
-update-boinc-applinks.1: debian/manpages/update-boinc-applinks.xml
-	docbook2x-man debian/manpages/update-boinc-applinks.xml
-
-# noopt, not necessary
-# CFLAGS_noopt = $(subst -O2,-O0,$(CFLAGS))
